#3460 closed defect (fixed)

GDB 8 SIS LEON2 LEON3 Patches

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: tool/gdb Version: 5
Severity: normal Keywords: leon2 leon3 sis gdb
Cc: Blocked By:
Blocking:

Description

Jiri patch for gdb-8.0.1.

Attachments (6)

gdb-8.0.1-sis-leon2-leon3.diff (235.4 KB) - added by Chris Johns on Jun 19, 2018 at 12:19:51 AM.
From http://gaisler.se/gdb/gdb-8.0.1-sis-leon2-leon3.diff, see https://lists.rtems.org/pipermail/users/2018-June/032375.html
gdb-8.0.1-sis-leon3-smp.diff (96.9 KB) - added by Sebastian Huber on Dec 17, 2018 at 6:20:50 AM.
gdb-8.2.1-sis-2.11.patch.bz2 (147.3 KB) - added by Chris Johns on Feb 5, 2019 at 4:19:58 AM.
Jiri's SIS patch version 2.11
gdb-8.2.1-riscv-config.patch (1.0 KB) - added by Chris Johns on Feb 5, 2019 at 4:20:30 AM.
Jiri's RISCV configuration patch.
gdb-8.2.1-sis-2.12.patch (16.1 KB) - added by Sebastian Huber on Feb 8, 2019 at 9:21:36 AM.
gdb-8.2.1-sis-2.13.patch (19.1 KB) - added by Jiri Gaisler on Mar 3, 2019 at 8:54:25 AM.
sis 2.13, fix flushing of stdout in gdb/run

Download all attachments as: .zip

Change History (12)

comment:1 Changed on Jun 19, 2018 at 11:38:28 PM by Chris Johns <chrisj@…>

In c571517/rtems-source-builder:

gdb: Add a gdb-common configuration and have gdb-7-1 include it.

Updates #3460

comment:2 Changed on Jun 19, 2018 at 11:38:37 PM by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In ea6a042/rtems-source-builder:

gdb: Download the gdb-8.0.1-sis-leon2-leon3 patch from an RTEMS ticket

Closes #3460

Changed on Dec 17, 2018 at 6:20:50 AM by Sebastian Huber

comment:3 Changed on Dec 17, 2018 at 6:21:14 AM by Sebastian Huber

Milestone: 5.1
Summary: GDB 8 SIS LEON2 LEON3 PatchGDB 8 SIS LEON2 LEON3 Patches
Version: 5

comment:4 Changed on Dec 17, 2018 at 7:17:39 AM by Jiri Gaisler <jiri@…>

In 96673d7/rtems-source-builder:

5: Add SMP support to SIS

Update #3460.

comment:5 Changed on Dec 17, 2018 at 7:21:41 AM by Jiri Gaisler <jiri@…>

In 820eba4/rtems-tools:

tester: Run leon3-sis with four processors

Update #3460.

Changed on Feb 5, 2019 at 4:19:58 AM by Chris Johns

Jiri's SIS patch version 2.11

Changed on Feb 5, 2019 at 4:20:30 AM by Chris Johns

Jiri's RISCV configuration patch.

Changed on Feb 8, 2019 at 9:21:36 AM by Sebastian Huber

Attachment: gdb-8.2.1-sis-2.12.patch added

comment:6 Changed on Feb 8, 2019 at 9:23:44 AM by Sebastian Huber <sebastian.huber@…>

In ee40e0b/rtems-source-builder:

5: Add GDB SIS patch

Update #3460.

Changed on Mar 3, 2019 at 8:54:25 AM by Jiri Gaisler

Attachment: gdb-8.2.1-sis-2.13.patch added

sis 2.13, fix flushing of stdout in gdb/run

Note: See TracTickets for help on using tickets.